build automation
authoradam <adamansky@gmail.com>
Mon, 19 Aug 2013 18:41:21 +0000 (01:41 +0700)
committeradam <adamansky@gmail.com>
Mon, 19 Aug 2013 18:41:21 +0000 (01:41 +0700)
12 files changed:
Changelog
Makefile
pyejdb/pyejdb.iml
tcejdb/Changelog
tcejdb/configure
tcejdb/configure.ac
tcejdb/debian/changelog
tcejdb/tcejdb.iml
tcejdb/tcutil.h
tools/dput-quantal.cf [new file with mode: 0644]
tools/dput-raring.cf [new file with mode: 0644]
tools/release.sh [new file with mode: 0755]

index 3c382b4..6bfa3de 100644 (file)
--- a/Changelog
+++ b/Changelog
@@ -1,3 +1,15 @@
+libtcejdb (1.1.21) testing; urgency=low
+
+  * Testing new package build script
+
+ -- Anton Adamansky <adamansky@gmail.com>  Tue, 20 Aug 2013 01:06:38 +0700
+
+libtcejdb (1.1.20) testing; urgency=low
+
+  * Fixed minor bug with update positional operator.
+
+ -- Anton Adamansky <adamansky@gmail.com>  Tue, 20 Aug 2013 01:01:51 +0700
+
 libtcejdb (1.1.19-4) testing; urgency=low
 
   * Added support for MongoDB $(query) update operator #91
index 2ff3d36..dd27ce2 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -10,6 +10,7 @@ clean:
        - rm -f libtcejdb*.tar.gz libtcejdb*.deb libtcejdb*.changes libtcejdb*.build libtcejdb*.dsc
        - rm -f python*.tar.gz python*.deb python*.changes python*.build python*.dsc
        - rm -f lua*.tar.gz lua*.deb lua*.changes lua*.build lua*.dsc
+       - rm -f *.tgz
 
 deb-packages: deb-packages-tcejdb deb-packages-pyejdb deb-packages-luaejdb;
 
index 1b2905f..25c0933 100644 (file)
@@ -19,7 +19,7 @@
       <excludeFolder url="file://$USER_HOME$/tmp/mongo-python-driver/doc" />
       <excludeFolder url="file://$USER_HOME$/tmp/mongo-python-driver/test" />
     </content>
-    <orderEntry type="jdk" jdkName="Python 3.2.3 (/usr/bin/python3mu)" jdkType="Python SDK" />
+    <orderEntry type="jdk" jdkName="Python 3.3.1 (/usr/bin/python3m)" jdkType="Python SDK" />
     <orderEntry type="sourceFolder" forTests="false" />
   </component>
 </module>
index 3c382b4..6bfa3de 100644 (file)
@@ -1,3 +1,15 @@
+libtcejdb (1.1.21) testing; urgency=low
+
+  * Testing new package build script
+
+ -- Anton Adamansky <adamansky@gmail.com>  Tue, 20 Aug 2013 01:06:38 +0700
+
+libtcejdb (1.1.20) testing; urgency=low
+
+  * Fixed minor bug with update positional operator.
+
+ -- Anton Adamansky <adamansky@gmail.com>  Tue, 20 Aug 2013 01:01:51 +0700
+
 libtcejdb (1.1.19-4) testing; urgency=low
 
   * Added support for MongoDB $(query) update operator #91
index a592b48..ff290d8 100755 (executable)
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for tcejdb 1.1.19.
+# Generated by GNU Autoconf 2.69 for tcejdb 1.1.20.
 #
 #
 # Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
@@ -577,8 +577,8 @@ MAKEFLAGS=
 # Identity of this package.
 PACKAGE_NAME='tcejdb'
 PACKAGE_TARNAME='tcejdb'
-PACKAGE_VERSION='1.1.19'
-PACKAGE_STRING='tcejdb 1.1.19'
+PACKAGE_VERSION='1.1.20'
+PACKAGE_STRING='tcejdb 1.1.20'
 PACKAGE_BUGREPORT=''
 PACKAGE_URL=''
 
@@ -1268,7 +1268,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures tcejdb 1.1.19 to adapt to many kinds of systems.
+\`configure' configures tcejdb 1.1.20 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1333,7 +1333,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of tcejdb 1.1.19:";;
+     short | recursive ) echo "Configuration of tcejdb 1.1.20:";;
    esac
   cat <<\_ACEOF
 
@@ -1439,7 +1439,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-tcejdb configure 1.1.19
+tcejdb configure 1.1.20
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -1737,7 +1737,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by tcejdb $as_me 1.1.19, which was
+It was created by tcejdb $as_me 1.1.20, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -5273,7 +5273,7 @@ cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by tcejdb $as_me 1.1.19, which was
+This file was extended by tcejdb $as_me 1.1.20, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -5326,7 +5326,7 @@ _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
-tcejdb config.status 1.1.19
+tcejdb config.status 1.1.20
 configured by $0, generated by GNU Autoconf 2.69,
   with options \\"\$ac_cs_config\\"
 
index 00858c0..f30906e 100644 (file)
@@ -10,7 +10,7 @@ test -n "$CPPFLAGS" && MYCPPFLAGS="$CPPFLAGS $MYCPPFLAGS"
 test -n "$LDFLAGS" && MYLDFLAGS="$LDFLAGS $MYLDFLAGS"
 
 # Package name
-AC_INIT(tcejdb, 1.1.19)
+AC_INIT(tcejdb,1.1.21)
 AC_CANONICAL_HOST
 
 # Package information
index 3c382b4..6bfa3de 100644 (file)
@@ -1,3 +1,15 @@
+libtcejdb (1.1.21) testing; urgency=low
+
+  * Testing new package build script
+
+ -- Anton Adamansky <adamansky@gmail.com>  Tue, 20 Aug 2013 01:06:38 +0700
+
+libtcejdb (1.1.20) testing; urgency=low
+
+  * Fixed minor bug with update positional operator.
+
+ -- Anton Adamansky <adamansky@gmail.com>  Tue, 20 Aug 2013 01:01:51 +0700
+
 libtcejdb (1.1.19-4) testing; urgency=low
 
   * Added support for MongoDB $(query) update operator #91
index 9f9a6f2..1169879 100644 (file)
@@ -6,6 +6,7 @@
     <content url="file://$MODULE_DIR$">
       <excludeFolder url="file://$MODULE_DIR$/nbproject" />
     </content>
+    <content url="file://$MODULE_DIR$/../tools" />
     <orderEntry type="jdk" jdkName="1.7" jdkType="JavaSDK" />
     <orderEntry type="sourceFolder" forTests="false" />
   </component>
index 6e9cd58..26b08c1 100644 (file)
@@ -3733,7 +3733,7 @@ typedef unsigned char TCBITMAP; /* type of a bit map object */
 
 #include <stdio.h>
 
-#define _TC_VERSION    "1.1.19"
+#define _TC_VERSION    "1.1.20"
 #define _TC_LIBVER     911
 #define _TC_FORMATVER  "1.0"
 
diff --git a/tools/dput-quantal.cf b/tools/dput-quantal.cf
new file mode 100644 (file)
index 0000000..6b6829d
--- /dev/null
@@ -0,0 +1,5 @@
+[ppa]
+fqdn = ppa.launchpad.net
+method = sftp
+login = adamansky
+incoming = ~%(ppa)s/ubuntu/quantal
\ No newline at end of file
diff --git a/tools/dput-raring.cf b/tools/dput-raring.cf
new file mode 100644 (file)
index 0000000..a59d997
--- /dev/null
@@ -0,0 +1,5 @@
+[ppa]
+fqdn = ppa.launchpad.net
+method = sftp
+login = adamansky
+incoming = ~%(ppa)s/ubuntu/raring
\ No newline at end of file
diff --git a/tools/release.sh b/tools/release.sh
new file mode 100755 (executable)
index 0000000..cc27d85
--- /dev/null
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+DEBUG=true
+EJDB_HOME=$(cd $(dirname ${0})/..; pwd -P)
+PPA=ppa:adamansky/ejdb
+
+function error() { echo "ERROR $*"; }
+
+function tcejdb() {
+    TCEJDB_HOME="${EJDB_HOME}/tcejdb"
+    VERSION="$1"
+    if [ -z ${VERSION} ]; then
+       error "$VERSION";
+    fi
+    cd ${TCEJDB_HOME}
+    autoconf
+    CPKG=$(cat configure.ac | grep AC_INIT| sed 's/.*(\(.*\)).*/\1/'| awk -F, '{print $1}')
+    CVERSION=$(cat configure.ac | grep AC_INIT| sed 's/.*(\(.*\)).*/\1/'| awk -F, '{print $2}');
+    if [[ ${VERSION} != ${CVERSION} ]]; then
+        echo "Updating configure.ac version"
+        sed -i 's/AC_INIT( *'"$CPKG"' *, *'"$CVERSION"' */AC_INIT('"$CPKG"','"$VERSION"'/' configure.ac
+        autoconf
+        dch -Dtesting -v"${VERSION}" || exit $?
+        make -C "${EJDB_HOME}" deb-source-packages-tcejdb
+        dput -c tools/dput-raring.cf "${PPA}" "./libtcejdb_${VERSION}_source.changes"
+    else
+        echo "The configure.ac version up-to-date"
+        exit 0;
+    fi
+
+}
+
+
+tcejdb $*
\ No newline at end of file